Need help? Check out our Support site, then


Question about browser

  1. Just signed up yesterday, it says my browser is out of date, my computer is kind of old with not a lot of memory, I have IE 8. Can I still write my blog???/ Any help is appreciated. Nikkisfriend.

    The blog I need help with is thecerebralmodernsavage.wordpress.com.

  2. panaghiotisadam
    Member

    That message tells you that you don't have the latest available version. But the latest avalable version isn't necessarily the right one for your system. You can ignore the message, and even tell it not to show up again.

    But you're going to have problems with IE no matter what the version, because it continues to ignore various web standards. Better download and start using a better browser: Firefox or Safari.

  3. Pan, Thanks for the information and tip.

Topic Closed

This topic has been closed to new replies.

About this Topic